%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%	TRIG_FRAME_DEL_PAR.m
%
% 	All parameters which are required for sampling and evaluation.
%   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   System specific constants
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f_chip=1.2288e6;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Constants for evaluation - do not change !!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ov_eval=4;                                      %Oversampling in base band
f_sample_scope=250e6;                           %Sampling rate in scope
f_carrier=50.01e6;                              %Carrier frequency
nof_post_symb=130;                              %Number of symbols after trigger

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Constants for evaluation which can be adjusted
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
trigger_uncertainty_symb=20;                    %Trigger uncertainty of 2pps signal in symbols
trigger_level=0.3;                              %Trigger level relative to max trigger signal
IQ_swap=0;                                      %Swap IQ in base band
corr_peak_detect=0.8;                           %Threshold for correlation peak detection
equalizer=1;                                    %set to '1', if equalizer enabled

plot_on=1;                                      %set to '1', if plots are desired
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
data_path = [pwd,'\'];
work_path = [pwd,'\'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	Comfiguration of GPIB settings
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

GPIB_BORD_INDEX=0;                              %Bord index of GPIB card
CMU_PRIM=20;                                    %CMU primary address
BASE_CMU=96;                                    %Secondary address CMU Base
CDMA800_NSIG=97;                                %Secondary address CMU CDMA800 NSig
TDS_PRIM=2;                                     %Primary address of TDS 784D